<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/iron-icon/iron-icon.html">
<link rel="import" href="../../bower_components/iron-icons/iron-icons.html">
<link rel="import" href="../../bower_components/iron-icons/social-icons.html">
<link rel="import" href="../../bower_components/iron-form/iron-form.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">

<link rel="import" href="../../bower_components/app-route/app-route.html">
<link rel="import" href="../../bower_components/app-route/app-location.html">
<link rel="import" href="../../bower_components/iron-pages/iron-pages.html">

<link rel="import" href="../../src/mi-app-final-app/mi-app-final-app.html">


<dom-module id="mi-app-login">
  <template>
  <style>
    paper-button{
        background-color: #FF1493;
        position: relative;
        font-weight: bold;
        margin-top: 40px;
        width: 30%;
        left: 35%;
        top: 50%;
      }
    table{
      border-radius: 10px;
      width: 70%;
      height: 400px;
      margin: 40px auto;
    }
    td.one{
      border:1px solid #D3D3D3; 
      background-color: black;
      border-radius: 10px 0px 0px 10px;
      width: 40%;  
    }
    .one{
      background: url(login1.png) center no-repeat;
      width: 50%
      height: 50px;
    }
    td.two{
      border-radius: 0px 10px 10px 0px;
      border:1px solid #D3D3D3; 
    }
    iron-icon{
      color: white;
      width: 300px;
      height: 300px;
    }
    p{
      text-align: center;
      color: white;
      font-weight: bold;
      font-size: 40px;
      font-family: cursive;
    }
    label{
      font-weight: bold;
      font-size: 20px;
      margin-top: 20px;
      margin-left: 20px;
    }
    input{
      width: 90%;
      height: 30px;
      margin-top: 30px;
      margin-left: 20px;
      border-radius: 7px;
    }
  </style>

<app-location route="{{route}}"></app-location>
  
    <form is="iron-form">
      <table>
        <tr>
          <td class="one">
            <p><iron-icon icon="social:person"></iron-icon></p>
            <p>Login </p>
          </td>
          <td class="two">
            <label>Nombre de usuario</label><br>
            <input type="text" name="username"><br>
            <label>Contraseña</label><br>
            <input type="password" name="password"><br>

            <paper-button>Entrar</paper-button>
          </td>
        </tr>
      </table>
    </form>
  </template>

  <script>

    class MiAppLogin extends Polymer.Element {
      static get is() { return 'mi-app-login'; }
      static get properties() {
        return {
          prop1: {
            type: String,
            value: 'mi-app-login'
          }
        };
      }
      
    }
    

    window.customElements.define(MiAppLogin.is, MiAppLogin);
  </script>
</dom-module>
